<?php

/**
 * Az adatfelvitelt követő üzenetek előállítása
 * @param unknown $v
 */
function fz_form_elkuldve(){
  global $base_url;

  if(!isset($_SESSION['fz_form'])){
    drupal_goto("/");
    return array();
  }
  $msg     = $_SESSION['fz_form']['mailmsg']['msg'];
  $mode    = $_SESSION['fz_form']['mailmsg']['mode'];
  $nev     = $_SESSION['fz_form']['nev'];
  $confirm = $_SESSION['fz_form']['confirm'];
  $ido     = $_SESSION['fz_form']['ido'];

  $filename = "Jelentkezes_".$confirm.".pdf";
  
  $html = file_get_contents(drupal_get_path('module','fz_form')."/template/udv.tpl");
  $html = str_replace("{nev}", $nev, $html);

  switch($mode){
    case 'notice':
      $style="background-color: grey;";
      break;
    case 'warning':
      $style="background-color: orange;";
      break;
    case 'error':
      $style="background-color: red;";
  }
  $html = str_replace('{style}', $style, $html);
  $html = str_replace('{msg}'  , $msg  , $html);
  //
  $link = $_SESSION['fz_form']['link'];
  $html = str_replace('{link}'    , $base_url."/fz_form/download/?i=".$link."&pdf=1", $html);
  $html = str_replace('{filename}', $filename, $html);
  $html = str_replace('{atext}'   , FZ_FORM_PDF    , $html);
  $html = str_replace('{confirm}' , $confirm , $html);
  $html = str_replace('{datum}'   , $ido, $html);

  $form['udv'] =array(
      '#markup' => $html,
  );
  unset($_SESSION['fz_form']);
  return $form;
}