/**
 * Jelentkezés űrlapot kiszolgáló Javasript kód
 */

if( typeof($j)=== "undefined" )
{
	var $j = jQuery;
}
var fz_form_okj    = "";
var fz_form_kezdes = "";
var fz_form_forma  = "";
var fz_form_iskola = "";

$j(document).ready(function() {
	//szakmaválasztás
	$j("select#edit-okj").change(function(){
		var okj = "";		
		var szakma;
		 $j( "select#edit-okj option:selected" ).each(function() {
		      okj    = $j(this).val();
		      var sz = $j(this).text().split(" - ");
		      szakma = sz[1];
		 });
		 
		 fz_form_okj = okj;
		 $j("input#edit-szakma").val(szakma);		 
		 fz_form_jel_conn("kfi");
	});
	
	//kezdes	
	$j("select#edit-kezdes").change(function(){
	    var str = "";
	    $j( "select#edit-kezdes option:selected" ).each(function() {
	    	fz_form_kezdes = $j( this ).val();
	    });
	    fz_form_jel_conn("fi");
	});
	
	//forma	
	$j("select#edit-forma").change(function(){
	    var str = "";
	    $j( "select#edit-forma option:selected" ).each(function() {
	      fz_form_forma = $j( this ).val();
	    });
	    fz_form_jel_conn("i");
	});
	
	//iskolaválasztás
	$j("select#edit-iskola").change(function(){
	    var str = "";
	    $j( "select#edit-iskola option:selected" ).each(function() {
	      fz_form_iskola = $j( this ).val();
	      fz_form_jel_conn("");
	    }); 
	});
});

function fz_form_jel_conn(jel){	
	 forma = 
	 $j.ajax({
		 type:"GET",
		 url: "jel/conn",
		 data: {  jel    : jel,
			      okj    : fz_form_okj, 
			      kezdes : fz_form_kezdes,
			      forma  : fz_form_forma,
			      iskola : fz_form_iskola,
			    },
		 dataType: 'json',
		 success:function (data){			 			 
			if(jel.match('k')){
				if(fz_isset(data.kezdesek)){
					$j('select#edit-kezdes').html(data.kezdesek);
					$j('select#edit-kezdes').css('border','1px yellow solid');
				}
			}else{
				$j('select#edit-kezdes').css("border","none");
			}
			if(jel.match('f')){
				if(fz_isset(data.formak)){
					$j('select#edit-forma').html(data.formak);
					$j('select#edit-forma').css('border','1px yellow solid');
				}else{
					$j('select#edit-forma').css("border","none");	
				}
			}
			if(jel.match('i')){
				if(fz_isset(data.iskolak)){
					$j('select#edit-iskola').html(data.iskolak);
					$j('select#edit-iskola').css('border','1px yellow solid');
				}else{
					$j('select#edit-iskola').css("border","none");	
				}
			}
			if(fz_isset(data.letszam)){
				$j("input#edit-letszam").val(data.letszam);
			}
			if(fz_isset(data.maxletszam)){				
				$j("input#edit-maxletszam").val(data.maxletszam);
			}
			$j("input#edit-szabad").val(data.maxletszam-data.letszam)
		 }
	 });
}

/**
 * A PHP isset() függvényének megfelelő
 * @param obj
 * @returns {Boolean}
 */
function fz_isset(obj){
	  var i, max_i;
	  if(obj === undefined) return false;
	  for (i = 1, max_i = arguments.length; i < max_i; i++) {
	    if (obj[arguments[i]] === undefined) {
	        return false;
	    }
	    obj = obj[arguments[i]];
	  }
	  return true;
}