<?php
/**
 * Jelentkezesek listaja
 */
function fz_form_app(){
  $path = drupal_get_path("module", "fz_form");
  drupal_add_css($path. "/css/fz_form.css","file");
  drupal_add_js($path . '/js/fz_form.js');
  $form = array();
  $form['#method'] ='GET';
  
  $form['app_muveletek'] = array(
      '#type'   => 'fieldset',
      '#title'  => 'Csoportos műveletek',
      '#collapsible' => FALSE,
  );
  
  $form['app_muveletek']['app_exportmode'] = array(
      '#type'  => 'checkbox',
      '#title' => 'Az összes rekord exportja / csak a kijelöltek exportja',
      '#description' => 'Nincsen kijelölve: Minden rekordot exportál<br>Kijelölve: Csak a megjelölt rekordokat exportálja',
  );
  
  $form['app_muveletek']['app_export'] = array(
      '#type'  => 'submit',
      '#title' => 'Jelentkezések exportja (Excel táblába)',
      '#name'  => 'prof_export',
      '#value' => 'Jelentkezések exportja (Excel táblába)',
      '#submit'=> array('fz_form_app_export'),
      '#limit_validation_errors' => array(),       // No validation.
  );

 //A felvételről emailt küld
 if(!empty($_REQUEST['app_visszaigazolas'])){
   fz_form_app_felvetel();
 }
 
 $form['app_muveletek']['app_visszaigazolas'] = array(
      '#type'    => 'button',
      '#title'   => 'Visszaigazoló email a kijelöltek részére',
      '#name'    => 'app_visszaigazolas',
      '#value'   => 'Visszaigazoló email a kijelöltek részére',
  );
 
 if(!empty($_REQUEST["app_delete"])){
   fz_form_app_delete();
 }
 
 $form['app_muveletek']['app_delete'] = array(
     '#type'    => 'button',
     '#title'   => 'Kijelölt rekordok törlése',
     '#name'    => 'app_delete',
     '#value'   => 'Kijelölt rekordok törlése',
 );

 $f = array(
     // "confirm"   => "Egyedi azonosító (Kötelező)",
      "id"        => "Azonosító (Kötelező) ",
      "confirm"   => "visszaigazoló kód",
      "status"    => "Állapot (Kötelező)",
      "ido"       => "Jelentkezés időpontja (Kötelező)",
      "okj"       => "Szakma száma (Kötelező)",
      "szakma"    => "Szakma elnevezése (Kötelező)",
      "kezdes"    => "Az oktatás / képzés kezdete (Kötelező)",
      "forma"     => "Az oktatás / képzés formája (Kötelező)",
      "kepzido"   => "Képzési idő",
     /* "iskola"    => "Melyik iskolában folyik a képzés", */
      "nev"       => "Neve (Kötelező)",
      "szulnev"   => "Születési neve",
      "allamp"    => "Állampolgár",
      "oktazon"   => "Jelentkező oktatási azonosítója (ha van)",
      "szulhely"  => "Születési hely (Kötelező)",
      "szulido"   => "Születési idő (Kötelező)",
      "anyjaneve" => "Anyja neve (Kötelező)",
      "cim"       => "Lakcím",
      "tartcim"   => "Tartózkodási cím",
      "tel"       => "Telefonszám",
      "email"     => "Email cím (Kötelező)",
      /*"taj"       => "TAJ szám",
      "iskvegz"   => "Legmagasab iskolai végzettsége",
      "nyelv"     => "Milyen idegen nyelvet tanult",
      'kepokj1'   => 'Korábbi első szakképesítés száma',
      'kepnev1'   => 'Korábbi első szakképesítés neve',
      'kepallam1' => 'Korábbi első szakképesítés állami finanszírozású volt',
      'kepokj2'   => 'Korábbi második szakképesítés száma',
      'kepnev2'   => 'Korábbi második szakképesítés neve',
      'kepallam2' => 'Korábbi második szakképesítés állami finanszírozású volt',
      'kepokj3'   => 'Korábbi harmadik szakképesítés száma',
      'kepnev3'   => 'Korábbi harmadik szakképesítés neve',
      'kepallam3' => 'Korábbi harmadik szakképesítés állami finanszírozású volt',*/
  );
  
  $header     = array();
  $sel_fields = array();
  $header[0] = array('data' => 'Műveletek');
  foreach( $f AS $i => $e){ //$i - mező jele, $e - szöveg
    $header[$i]   = array('data' => preg_replace('/\(Kötelező\)/i','',$e) , 'field' => 's.'.$i, "id" =>$i);
    $sel_fields[] = $i;
  }
  $form['app_item'] = array(
      '#type'   => 'fieldset',
      '#title'  => 'Keresés / szűrés',
      '#collapsible' => FALSE,
  );
  
  $o = array();
  foreach($f AS $i =>$e){
    $o[$i] = $e;
  }
  
  if(isset($_REQUEST['app_reset'])){
    unset($_GET['app_sid']);
    unset($_POST['app_sid']);
    unset($_REQUEST['app_sid']);
    unset($_GET['app_value']);
    unset($_POST['app_value']);
    unset($_REQUEST['app_value']);
    unset($_REQUEST['app_not']);
  }
  
  $form['app_item']['app_sid'] =array(
      '#title'         => "Melyik mezőben keresel?",
      '#type'          => 'select',
      '#options'       => $o,
      '#default_value' => isset($_REQUEST['app_sid'])? $_REQUEST['app_sid'] :'',
      '#description'   => 'Válassza ki a keresni kívánt mezőt!',
  );
  
  $form['app_item']['app_not'] =array(
      '#title'   => "",
      '#type'    => 'radios',
      '#options' => array(1 => 'A keresett érték',2=>'Nem a keresett érték'),
      '#size'    => 5,
      '#default_value' => isset($_REQUEST['app_not'])? $_REQUEST['app_not']:1,
      '#prefix'  => '<div style="float: left;">',
      '#suffix'  => '</div>',
  );
  
  $form['app_item']['app_value'] =array(
      '#title'   => "",
      '#type'    => 'textfield',
      '#default_value' => isset($_REQUEST['app_value'])? $_REQUEST['app_value'] :'',
      '#description'   => '',
      '#size'    => 32,
      '#prefix'  => '<div style="float: left;">',
      '#suffix'  => '</div>',
  );
  //Szűrés / Keresés
  $form['app_item']['app_search'] =array(
      '#type'  => 'submit',
      '#title' => "Szűrés",
      '#name'  => 'app_search',
      '#value' => 'Szűrés',
      '#submit'=> array('fz_form_app_search'),
      '#limit_validation_errors' => array(),       // No validation.
  );
  
  $form['app_item']['app_new'] = array(
      '#type'  => 'button',
      '#title' => "Csak új jelentkezések",
      '#name'  => 'app_new',
      '#value' => "Új jelentkezések",
      //'#submit'=> array('fz_form_app_new'),
      '#limit_validation_errors' => array(),       // No validation.
  );
  
  $form['app_item']['app_reset'] = array(
      '#type'  => 'submit',
      '#title' => "Feltétel törlése",
      '#name'  => 'app_reset',
      '#value' => "Feltétel törlése",
      '#submit'=> array('fz_form_app_reset'),
      '#limit_validation_errors' => array(),       // No validation.
  );

  
  // Megjelenítendő sorok száma
  $maxrow = 40;
  if(isset($_REQUEST["app_maxrow"]) && is_numeric($_REQUEST["app_maxrow"]))
  {
    $maxrow = $_REQUEST["app_maxrow"];
  }

  $form['app_maxrow'] = array(
      '#type'         => 'textfield',
      '#title'        => 'A megjelenítendő sorok száma',
      '#description'  => '',
      '#size'         => 10,
      '#maxlength'    => 10,
      '#default_value'=> $maxrow
  );
  
  $js = '$j(document).ready( function(){
  $j("input#edit-app-maxrow").change(function(){
       $j("form#fz-form-app").submit();
      });
  });';
  
  drupal_add_js($js,"inline");
  
  $qry = db_select('fz_form_app','s')->fields('s', $sel_fields);
  
  if($iskola = fz_form_user_iskola()){
    $qry->condition('iskola',$iskola,'=');
  }
  
  if(isset($_REQUEST['app_search']) && isset($_REQUEST['app_value']) )
  {
    if((isset($_REQUEST['app_not']) && $_REQUEST['app_not'] == 1)){
      $qry->condition($_REQUEST['app_sid'],"%".$_REQUEST['app_value']."%",'LIKE');
    }else{
      
      $qry->condition($_REQUEST['app_sid'],"%".$_REQUEST['app_value']."%",'NOT LIKE');
    }
  }else{
    if(isset($_REQUEST['app_new'])){
      if(isset($_REQUEST['app_not']) && $_REQUEST['app_not'] == 1){
        $qry->condition($_REQUEST['app_sid'],"%".$_REQUEST['app_value']."%",'LIKE');
      }else{
        
        $qry->condition($_REQUEST['app_sid'],"%".$_REQUEST['app_value']."%",'NOT LIKE');
      }
    }
  }
   
  $tsort = $qry->extend('TableSort')->orderByHeader($header);
 
  $pager = $tsort->extend('PagerDefault')->limit($maxrow);
  
  $rs = $pager->execute();

  $qry1     = $qry;
  $rs1      = $qry->execute();
  $rowcount = $rs1->rowCount();
  
  $form['rowcount'] = array(
      '#markup' => '<strong>Találatok száma</strong> '.$rowcount,
  );
  
  $opt = array();
  $options = array();
  $opt = $rs->fetchAll(PDO::FETCH_ASSOC);
  
  $muvelet ='<center>';
  $muvelet .= '<input id="view_app_record-{id}" type="button" value="Megnéz" onclick="javascript:AppOpen({id});" class="fz_table_button">';
  //$muvelet .= '<input id="edit-app-record-{id}" type="button" value="Szerkeszt" class="fz_table_button">';
 
  $muvelet .=  '</center>';
  foreach($opt As $i => $row)
  {
    $m = preg_replace('/{id}/i',$row['id'], $muvelet);
    $row[0] = $m;
    $options[$row["id"]] =$row;
  }
 
  $form['app_table'] = array(
      '#title'              => "Jelentkezések táblázata",
      "#type"               => 'tableselect',
      '#header'             => $header,
      '#options'            => $options,
      '#empty'              => 'Nincs jelentkezés a listában',
      '#js_select'          => TRUE,
      '#multiple'           => TRUE, //FALSE
      '#title_display'      => "Jelentkezések táblázata",
      '#attributes'         => array("id"=>"apptable"),
  );
  
  $form['pager'] = array(
      '#markup' => theme('pager'),
  );
  $form['top'] = array(
      '#markup'   => '<a href="#top"><h3><strong>Vissza a lista elejére</strong></h3></a>',
  );
  
  $form['anchor'] = array(
      '#markup'   => '<h3><a name="record"><strong>A jelentkezés adatai</strong></a></h3>',
      '#prefix'  => '<div id="fz-form-app-record-load" class="ui-draggable">'
  );
  
 fz_form_app_submit($form,1);
  fz_form_app_record_load($form);
  
  fz_form_app_submit($form,2);
  
  $form['app_end'] = array(
      '#markup'   => '</div>',
  );
  return $form;
}


function fz_form_app_submit(&$form,$i=1, $readonly=1){
  if($readonly != 1){
   $form['app_submit'.$i] = array(
      '#title' => 'app_submit',
      '#name'  => 'app_submit',
      '#value' => 'Jelentkezés mentése',
      '#type'  => 'submit',
      '#submit'=> array('fz_form_app_save'),
    );
  
    $form['app_reset'.$i] = array(
      '#type'  => 'submit',
      '#title' => 'school_reset',
      '#name'  => 'school_reset',
      '#value' => t('Kitörli az űrlapról az adatokat'),
      '#submit'=> array('fz_form_app_reset'),
      '#limit_validation_errors' => array(),       // No validation.
    );
  
    $form['app_delete'.$i] = array(
      '#type'  => 'submit',
      '#title' => 'app_delete',
      '#name'  => 'app_delete',
      '#value' => t('Jelentkezés törlése'),
      '#submit'=> array('fz_form_app_delete'),
    );
  }
  $form['app_close'.$i] = array(
      '#type'  => 'submit',
      '#title' => 'app_close',
      '#name'  => 'app_close',
      '#value' => t('Ablak bezárása'),
      '#attributes' => array('onclick' =>'AppClose(); return false;'),
  );
}

/**
 * Egy rekord adatait megjeleníti
 * @param unknown $form
 */
function fz_form_app_record_load(&$form, $view=true, $readonly = array('readonly' =>'readonly')){
global $base_url, $base_path;
  
  $form['app_id'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Jelentkezés adatbázis azonosítója',
      '#attributes'  => $readonly,
      '#size'        => 10,
      '#maxlength'   => 10,
      '#prefix'      => '<div id="app_record_load" class="display: inline;">',
  );
  
  $form['app_confirm'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Jelentkezés egyedi kódja',
      /*'#description' => 'A jelentkezés egyedi azonosítószáma. Ez alapján lehet megtalálni a pdf fájt.',*/
      '#attributes'  => $readonly,
      '#size'        => 64,
      '#maxlength'   => 64,
  );
  
  $form['app_pdf'] = array(
      '#type'        => 'link',
      '#title'       => 'A jelentkezés pdf fájlja',
      /*'#description' => 'A jelentkezés pdf fájl tartalmát itt nézheti meg',*/
      '#href'        => file_create_url('public://fz_form_doc/'),
      '#attributes'  => array('target' => "_blank"),
  );
  if(!$view) $form['app_id']['required']='required';
  $sa = array(
          FZ_FORM_STATUS_DEFAULT,
          FZ_FORM_STATUS_EMAIL,
          FZ_FORM_STATUS_CONFIRM,
          FZ_FORM_STATUS_OK,
          FZ_FORM_STATUS_ELUTASITVA,
          FZ_FORM_STATUS_BEIRATKOZVA
        );

  foreach($sa AS $i => $e){
    $select[$e] = $e;
  }
  
  $form['app_status'] = array(
      '#type'        => 'select',
      '#title'       => 'A jelentkezés állapota',
      '#description' => 'A jelentkezés állapota lehet: ---, email, visszaigazolt, felvett',
      '#options'     =>  $select,
      '#attributes'  => $readonly,
      '#size'        => 1,
  );
  if(!$view) $form['app_status']['required']='required';
  
  $form['app_ido'] = array(
      '#type'        => 'textfield',
      '#title'       => 'A jelentkezés időpontja',
      '#description' => 'A jelentkezés időpontja',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
  );
  if(!$view) $form['app_ido']['required']='required';

  // Kitöltendő akkor itt select van
  $form['app_okj'] = array(
      '#type'        => 'textfield',
      '#title'       => 'OKJ',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
      '#prefix' => '<div class="container-inline">',
  );
  if(!$view) $form['app_okj']['required']='required';
  
  $form['app_szakma'] = array(
      '#type'        => 'textfield',
      '#title'       => 'A szakma elnevezése',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
      '#suffix' => '</div>',
  );
  
  if(!$view) $form['app_okj']['required']='required';
  
  $form['app_kezdes'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Az oktatás / képzés kezdete',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
      '#prefix' => '<div class="container-inline">',
  );
  
  if(!$view) $form['app_kezdes']['required']='required';
  // Ha kitöltendő, akkor itt select van
  $form['app_forma'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Az oktatás formája',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
      '#suffix' => '</div>',
  );
  if(!$view) $form['app_forma']['required']='required';
  
  $form['app_kepzido'] = array(
      '#type'          => 'textfield',
      '#title'         => 'A képzési idő hossza',
      '#attributes'    => $readonly,
      '#size'          => 20,
      '#maxlength'     => 20,
      '#prefix' => '<div class="container-inline">',
  );
  
  $form['app_iskola'] = array(
      '#type'         => 'textfield',
      '#title'        => 'Az iskola azonosítója',
      '#attributes'   => $readonly,
      '#size'         => 40,
      '#maxlength'    => 40,
      '#suffix' => '</div>',
  );
  if(!$view) $form['app_iskola']['required']='required';
  
  $form['app_nev'] = array(
      '#type'         => 'textfield',
      '#title'        => 'A jelentkező neve',
      '#attributes'   => $readonly,
      '#size'         => 64,
      '#maxlength'    => 64,
  );
  if(!$view) $form['app_nev']['required']='required';
    
  $form['app_szulnev'] = array(
      '#type'         => 'textfield',
      '#title'        => 'A jelentkező születési neve',
      '#attributes'   => $readonly,
      '#size'         => 64,
      '#maxlength'    => 64,
  );
  
  $form['app_allamp'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Állampolgárság',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  if(!$view) $form['app_allamp']['required']='required';
  
  $form['app_oktazon'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Oktatási azonosító',
      '#description' => '7-essel kezdődő 11 jegyű szám. Csak 1995 óta létezik.',
      '#attributes'  => $readonly,
      '#size'        => 11,
      '#maxlength'   => 11,
  );
  
  $form['app_szulhely'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Születési hely',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
      '#prefix' => '<div class="container-inline">',
      
  );
  if(!$view)$form['app_szulhely']['required']='required';
  
  $form['app_szulido'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Születési idő',
      '#description' => 'ÉÉÉÉ.HH.NN formátumban megadva',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
      '#suffix' => '</div>',
  );
  if(!$view) $form['app_szulido']['required']='required';

  $form['app_anyjaneve'] = array(
      '#type'         => 'textfield',
      '#title'        => 'A jelentkező édesanyjának (születéskori) neve',
      '#attributes'   => $readonly,
      '#size'         => 64,
      '#maxlength'    => 64,
  );

  $form['app_cim'] = array(
      '#type'         => 'textfield',
      '#title'        => 'Állandó, bejelentett Lakcíme',
      '#attributes'   => $readonly,
      '#size'         => 128,
      '#maxlength'    => 128,
  );

  $form['app_tartcim'] = array(
      '#type'         => 'textfield',
      '#title'        => 'Tartózkodási helyének címe (ha van)',
      '#description'  => 'Ha a jelentkező nem a bejelentett lakcímén tartózkodik huzamosabb ideig életvitelszerűen',
      '#attributes'   => $readonly,
      '#size'         => 128,
      '#maxlength'    => 128,
  );
  
  $form['app_tel'] = array(
      '#type'         => 'textfield',
      '#title'        => 'Telefonszáma',
      '#description'  => 'Olyan telefonszámot kérünk megadni, amelyen a jelentkezőt el lehet érni (városi, vagy mobil)',
      '#attributes'   => $readonly,
      '#size'         => 40,
      '#maxlength'    => 40,
  );
  
  $form['app_email'] = array(
      '#type'        => 'textfield',
      '#title'       => 'E-mail',
      '#description' => 'Valós emailcímet adjon meg, hogy a jelentkezési lapról visszaküldött visszaigazoló meailt el tudjuk küldeni.',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  if(!$view) $form['app_email']['required']='required';
  
  $form['app_taj'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Társadalombiztosítási szám',
      '#description' => 'TAJ szám. 9 jegyű. Ezt használják az egészségügyi intézményekben is.',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
  );
  
  $form['app_iskvegz'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Legmagasabb iskolai végzettség',
      '#description' => 'A jelentkező legmagasabb iskolai végzettsége <br/>
                         (8 általánosnál kevesebb, 8 általános, szakiskola, szakmunkásképző, érettségi, főiskolai diploma, egyetemi diploma, mester',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  if(!$view)$form['app_iskvegz']['required']='required';
  
  $form['app_nyelv'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Tanult idegen nyelv',
      '#description' => 'Akkor írja be, ha ezt a nyelvet szeretné tanulni az oktatás ideje alatt.',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  $form['item1'] =array(
      '#type'   => 'fieldset',
      '#title'  => '<b>Korábbi első szakképesítés</b>',
      '#collapsible' => TRUE,
      '#collapsed'   => TRUE,
  );
  
  $form['item1']['app_kepokj1'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi első szakképesítés OKJ száma',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítés OKJ számát. <br>Ha nem volt OKJ száma vagy nem tudja, hagyja szabadon',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
  );
  
  $form['item1']['app_kepnev1'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi első szakképesítés neve',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítését elnevezését',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  
  $form['item1']['app_kepallam1'] = array(
      '#type'        => 'checkbox',
      '#title'       => 'Korábbi első szakképesítés finanszírozása',
      '#description' => 'Ha a szerzett korábbi szakképesítést az állam finanszírozta, akkor jelölje be ezt!',
      '#attributes'  => $readonly,
  );
  
  $form['item2'] =array(
      '#type'   => 'fieldset',
      '#title'  => '<b>Korábbi első szakképesítés</b>',
      '#collapsible' => TRUE,
      '#collapsed'   => TRUE,
  );
  $form['item2']['app_kepokj2'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi második szakképesítés OKJ száma',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítés OKJ számát. <br>Ha nem volt OKJ száma vagy nem tudja, hagyja szabadon',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
  );
  
  $form['item2']['app_kepnev2'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi második szakképesítés neve',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítését elnevezését',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  
  $form['item2']['app_kepallam2'] = array(
      '#type'        => 'checkbox',
      '#title'       => 'Korábbi második szakképesítés finanszírozása',
      '#description' => 'Ha a szerzett korábbi szakképesítést az állam finanszírozta, akkor jelölje be ezt!',
      '#attributes'  => $readonly,
  );
  
  $form['item3'] =array(
      '#type'   => 'fieldset',
      '#title'  => '<b>Korábbi eharmadik szakképesítés</b>',
      '#collapsible' => TRUE,
      '#collapsed'   => TRUE,
  );
  
  $form['item3']['app_kepokj3'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi harmadik szakképesítés OKJ száma',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítés OKJ számát. <br>Ha nem volt OKJ száma vagy nem tudja, hagyja szabadon',
      '#attributes'  => $readonly,
      '#size'        => 20,
      '#maxlength'   => 20,
  );
  
  $form['item3']['app_kepnev3'] = array(
      '#type'        => 'textfield',
      '#title'       => 'Korábbi harmadik szakképesítés neve',
      '#description' => 'Ha szerzett korábban szakképesítést, ide írja az első szakképesítését elnevezését',
      '#attributes'  => $readonly,
      '#size'        => 40,
      '#maxlength'   => 40,
  );
  
  $form['item3']['app_kepallam3'] = array(
      '#type'        => 'checkbox',
      '#title'       => 'Korábbi harmadik szakképesítés finanszírozása',
      '#description' => 'Ha a szerzett korábbi szakképesítést az állam finanszírozta, akkor jelölje be ezt!',
      '#attributes'  => $readonly,
  );
  
  $iskola = "SZILY";
  
 /*
  $defhref = $base_url."/fz_form/download/?i=".variable_get("fz_form_doc");
  drupal_add_js('defhref="'.$defhref.'";','inline');
  for($i=1; $i<4; $i++){
    $form['app_upload'.$i] = array(
        '#type'        => 'link',
        '#title'       => ''.$i.'. feltöltött dokumentum',
        '#description' => 'Ha feltöltött egy dokumentumot, akkor itt nézheti meg!',
        '#href'        => $defhref,
        '#prefix'      => '<div>',
        '#suffix'      => '</div>',
        '#attributes'  => array('target' => "_blank"),
        ''
    );
  }
  */
  if(!$view){
    $form['app_elfogad'] = array(
      '#type'        => 'checkbox',
      '#title'       => 'Elfogadás',
      '#description' => 'Elfogadom, hogy az itt közölt adataim a valóságnak megfelelnek és felhatalmazom az oktatási intézményt a felvétellel kapcsolatos adataim kezelésére',
      '#required'    => 'required',
      '#attributes'  => $readonly,
    );
  }
}

/**
 * Reseteli az űrlapot
 * @param unknown $form
 * @param unknown $form_state
 */
function fz_form_app_reset($form, &$form_state){
  $form_state['rebuild'] = False;
}

/**
 * Callback függvény: javascript hívja meg egy jelentkezés adatit kéri le.
 */
function fz_form_app_load(){
  global $base_url;
  $id = $_REQUEST["id"];
  
  if(!empty($id)){
    $sch = drupal_get_schema_unprocessed("fz_form","fz_form_app");
    foreach($sch['fields'] AS $i => $e){
      $f[]= $i;
    }
   
    $rs = db_select('fz_form_app','s')
    ->fields('s',$f)
    ->condition('id' , $id , '=' )
    ->execute();
    $row = $rs->fetchAssoc();
  }else{
    $row = array("id" => "-1");
  }
  
  //Vizsgálom, hogy va-e feltöltött fájl
  for($i=1;$i<4;$i++){
    if(strlen($row['upload'.$i])>0) {
      $dir_uri = file_stream_wrapper_get_instance_by_uri('public://'.variable_get("fz_form_doc"));
      $path    = str_replace("\\","/",$dir_uri->realpath()."/".$row['upload'.$i]);
      $ok = file_exists($path);
      if(!file_exists($path)){
        $row['upload'.$i] ="";
      }
    }
  }
  $row["pdf"] = $base_url."/fz_form/download/?i=". $row['iskola']."/Jelentkezes_".$row['confirm'].".pdf";
  $json = json_encode($row);
  die($json);
}

/**
 * Rekordok kijelölt rekordok törlése
 */
function fz_form_app_delete(){
  if(empty($_REQUEST['app_table'])){
    drupal_set_message("Nincsen kijelölve egyetlen törlendő rekord sem","WARNING");
    return;
  }

  $dir_uri = file_stream_wrapper_get_instance_by_uri('public://'.variable_get("fz_form_doc") );
  $path    = str_replace("\\","/",$dir_uri->realpath()."/")."Jelentkezes_{id}.pdf";
  //Könnyebb vele dolgozni;
  $t = $_REQUEST['app_table'];
  
  // Rekordok törlésének
  foreach($t AS $id){
    $rs = db_query("SELECT id, confirm FROM {fz_form_app} WHERE id = :1", array(":1" => $id ));
    $row = $rs->fetchAssoc();
    if(empty($row)){
      drupal_set_message("A ".$id." azonosítójú rekord nem létezik","ERROR");
    }else{
      $file = str_replace("{id}",$row["confirm"], $path);
      if(file_exists($file)){
        if((unlink($file) ) ) {
          drupal_set_message("A \"Jelentkezes_".$row['confirm'].".pdf\" fájlt töröltük!","WARNING");
        }else{
          drupal_set_message("A \"Jelentkezes_".$row['confirm'].".pdf\" fájlt nem lehetett törölni!","ERROR");
        }
      }else{
        drupal_set_message("A \"Jelentkezes_".$row['confirm'].".pdf\" fájlt nem létezik!","ERROR");
      }
      $ok = db_query("DELETE FROM {fz_form_app} WHERE id = :1", array(':1' => $id));
      if($ok){
        drupal_set_message(FZ_FORM_DEL_OK, "warning");
        $msg = FZ_FORM_DEL_OK;
      }else{
        drupal_set_message(FZ_FORM_DEL_NEM_OK, "error");
      }
    }
  } //foreach vége
}

function fz_form_app_save($form, $form_state){
  $ok = FALSE;
  drupal_set_message('Jelentkezések mentése fejlesztés alatt', "warning");
  $v     = $form_state['values'];
  unset($v["app_submit"]);
  unset($v["app_reset"]);
  unset($v["app_delete"]);
  unset($v["form_build_id"]);
  unset($v["form_token"]);
  unset($v["form_id"]);

  if(!empty($v['id'])){
    // Frissítés
    $ok = drupal_write_record("fz_form_app", $v, "id");
    if($ok == SAVED_UPDATED){
      drupal_set_message(FZ_FORM_SAVE_OK, "notice");
    }else{
      drupal_set_message(FZ_FORM_SAVE_NEM_OK,"error");
    }
  }else{
    //Új rekord
    //$ok = drupal_write_record("fz_form_app", $v);
    if($ok == SAVED_NEW){
      drupal_set_message(FZ_FORM_NEW_OK, "notice");
    }else{
      drupal_set_message(FZ_FORM_NEW_NEM_OK, "error");
    }
  }
}

/**
 * A jelentkezések exportálása Excel fájlba
 * @param array $form
 * @param array $form_state
 */
function fz_form_app_export(&$form, &$form_state)
{
  global $user, $base_url;
  $v = $form_state['values'];
  
 //A teljes tábla lekérdezése
  $sch = drupal_get_schema_unprocessed("fz_form","fz_form_app");
  foreach($sch['fields'] AS $i => $e){
    $f[]= $i;
  }
   
  $qry = db_select('fz_form_app','p')->fields('p',$f);
  if($iskola = fz_form_user_iskola()){
    $qry->condition('iskola',$iskola,'=');
  }
  if(true) {
    $qry->orderBy('okj');
  }
  $rs = $qry->execute();
    
  //Excel generálása
  $iskola = "";
  $filename = "Jelentkezesek_".date("YmdHis").".xlsx";
  $p        = fz_form_file_path($iskola,$filename);
  $link     = $iskola.(!empty($iskola)? "/":"").$filename;
  $ok = fzexcel_export($rs, $p,'Jelentkezések listája.', 'Az FZ_FORM jelentkezési felület által tárolt jelentkezések listája');
  if($ok){
    $url   = $base_url."/fz_form/download/?i=".$link;
    drupal_set_message('A "Jelentkezések listája" Excel fájl letölthető innen: <a href="'. $url.'">'.$filename.'</a>', "warning");
  }else{
    drupal_set_message("A szakmák listája Excel fájl nem jött létre itt: ". $p, "error");
  }
}


function fz_form_app_search(){
  $form_state['rebuild'] =FALSE;
}

/**
 * Leveleket küld a frissen jelentkezettek részére a beiratkozasról
 */

function fz_form_app_felvetel(){
  if(empty($_REQUEST['app_table'])){
    drupal_set_message("Nincsen kijelölve egyetlen visszaigazolandó rekord sem","ERROR");
    return;
  }

  //Könnyebb vele dolgozni;
  $t = $_REQUEST['app_table'];
  
  $subject  = "Visszaigazolás / Beiratkozás";
  $mail_text= variable_get("fz_form_mail_to_app",FZ_FORM_MAIL_TO_APP);
 
  $from     = '';   // Iskola email címe
  $segítség = '';   //titkar@szily.hu
    
  // Levelek küldése
  $fields = Array('id','nev','ido', 'okj', 'szakma', 'kezdes', 'forma', 'kepzido', 'iskola', 'email');
  $qry = db_select('fz_form_app','p')->fields('p',$fields);

  //Még nincsen a felvétel visszaigazolva
  $allapot = array(FZ_FORM_STATUS_DEFAULT, FZ_FORM_STATUS_EMAIL, FZ_FORM_STATUS_CONFIRM);
  $qry->condition('status',$allapot,'IN');
    
  foreach($t AS $id){ //ID-k listája
    $ids[] = (int) $id;
  }
  $qry->condition('id',$ids,'IN');
  
  $rs = $qry->Execute();
  $vs = $rs->FetchAll();
  if(empty($vs)){
    drupal_set_message("Nincsen kijelölve egyetlen felvételre értesítendő jelentkező sem","ERROR");
    return;
  }
  
  foreach($vs AS $v ){
    $time = date('Y.m.d H:i:s');
    $id = $v->id;
    $mailmsg = fz_form_felveve_mail($v, $time,$id, variable_get("fz_form_mail_to_school_from"), FZ_FORM_DEFAULT_SENDER_MAIL);
    drupal_set_message($mailmsg['msg'],$mailmsg['mode']);
  }
}