<?php
/**
 * Default értékek, hgy később egyszerűen lehessen őket változtatni
 */

define('FZ_FORM_ROLE', 'fz_form');                        //Az FZ_FORM szerepkör neve, iskolához tartozó felhasználó
define('FZ_FORM_ADMIN','fz_form_admin');                  //Az FZ form adminisztrátora
define('AUTHENTICATED_USER','authenticated user');        //Belépett felhasználó
define("ANONYMOUS USER",'anonymous user');                //Jelentkező vagy más felhasználó

define("FZ_FORM_DOC"     ,"fz_form_doc");                 //A jelentkezések dokumentumait (pdf, gif, jpeg, stb...it itt tároljuk - default érték
define("FZ_FORM_EXCEL"   ,"fz_form_excel");               //Az exportálásnál ide írja ki és olvassa be az excel file-okat - default érték
define('FZ_FORM_UPLOAD'  ,"fz_form_upload");              //A feltöltés során ide kerül a fájl
define('FZ_FORM_PDF'     ,"Jelentkezés pdf változata");   //A pdf fájlok ide kerülnek
define("FZ_FORM_SUBJECT" ,"Jelentkezés visszaigazolása");

define("FZ_FORM_NOAPP", "Nem volt az ellenőrzőösszeg szerinti jelentkezés!");
define("FZ_FORM_TOOMUCH", "Több egyforma azonosítójú jelentkezés volt. Értesítse az iskolát!");
define("FZ_FORM_NOCONFIRM","Ezt a jelentkezést már elfogadtuk. Nem szükséges még egyszer visszaigazolni!");
define("FZ_FORM_CONFIRMED","Jelentkezését véglegesítettük!");

define("FZ_FORM_DEFAULT_SENDER_MAIL","jelentkezes@szily.hu");  //Alapértelmezett email küldő
define("FZ_FORM_STATUS_DEFAULT","---");
define("FZ_FORM_STATUS_EMAIL","email");
define("FZ_FORM_STATUS_CONFIRM","visszaigazolva");
define("FZ_FORM_STATUS_OK","felvéve");
define("FZ_FORM_STATUS_ELUTASITVA","elutasítva");
define("FZ_FORM_STATUS_BEIRATKOZVA","beiratkozva");

//Az alaptáblák módosításainak üzenetei
//pl. lehetne több nyelvű is így!!!
define("FZ_FORM_NEW_OK"     , "Az új bejegyzés létrejött" );
define("FZ_FORM_NEW_NEM_OK" , "Az új bejegyzés létrehozásánál hiba történt!" );
define("FZ_FORM_SAVE_OK"    , "A bejegyzés módosítása megtörtént" );
define("FZ_FORM_SAVE_NEM_OK", "A bejegyzés módosításánál hiba történt!" );
define("FZ_FORM_DEL_OK"     , "A bejegyzés törlése megtörtént!" );
define("FZ_FORM_DEL_NEM_OK" , "A bejegyzés törlésénél hiba történt!" );
define("FZ_FORM_MAIL_TO_APP", "Tisztelt jelentkező!\nJelentkezését elfogadtuk.\nA beiratkozás időpontja:\nA beiratkozás helye:\n\nAz iskolavezetőség");

/**
 * Default adatok a jelentkezési laphoz
* UTF-8 kódolású a fájl, tehát az adatok is.
*/
function fz_form_default_iskola()
{
  return array(
      array('id' => 'BGSZC',
            'nev'   => ('Budapesti Gépészeti Szakképzési Centrum Adminisztrátor'),
            'user'  => 'bgszc',
            'pwd'   => 'bgszc123',
            'role'  => FZ_FORM_ADMIN,
            'cim'   => '1138 Budapest, Váci út 179-183.',
            'tel'   => '06-1/585-8180',
            'email' => 'info@gszc.hu',
            'web'   => 'http://www.gszc.hu/'),
      
      array('id' => 'ARANY',
          'nev'   => ('BGSzC Arany János Műszaki Szakközépiskolája és Szakiskolája'),
          'user'  => 'arany',
          'pwd'   => 'arany123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1072 Budapest, Nyár u .9.',
          'tel'   => '342-1320',
          'email' => 'titkarsag@aranymszki.hu',
          'web'   => 'http://aranymszki.hu/'),

      array('id'  => 'BANKI',
          'nev'   => ('BGSzC Bánki Donát Közlekedésgépészeti Szakközépiskolája és Szakiskolája' ),
          'user'  => 'banki',
          'pwd'   => 'banki123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1138 Budapest, Váci út 179',
          'tel'   => '06-1-329 8410',
          'email' => 'bankid@bankidonat.net',
          'web'   => 'http://www.bankidonat.net/'),

      array('id'  => 'BETHLEN',
          'nev'   => ('BGSzC Bethlen Gábor Szakközépiskolája'),
          'user'  => 'bethlen',
          'pwd'   => 'bethlen123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1157 Budapest, Árendás köz. 8.',
          'tel'   => '(06-1) 418-2040',
          'email' => 'titkarsag@bethlenszki.hu',
          'web'   => 'http://www.bethlenszki.hu/'),

      array('id'  => 'CSONKA',
          'nev'   => ('BGSzC Csonka János Műszaki Szakközépiskolája és Szakiskolája'),
          'user'  => 'csonka',
          'pwd'   => 'csonka123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1165 Budapest, Arany János u. 55.',
          'tel'   => '(06-1) 403-2677',
          'email' => 'infocsonka@csonka-bp.sulinet.hu',
          'web'   => 'http://www.csonka-bp.sulinet.hu/'),

      array('id'  => 'EOTVOS',
          'nev'   => ('BGSzC Eötvös Loránd Szakközépiskolája és Szakiskolája'),
          'user'  => 'eotvos',
          'pwd'   => 'eotvos123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1204 Budapest, Török Flóris u.89.',
          'tel'   => '(06-1) 283-0624',
          'email' => 'titkarsag@elg-bp.sulinet.hu',
          'web'   => 'http://www.eotvosszki.hu/'),

      array('id'  => 'FAY',
          'nev'   => ('BGSzC Fáy András Közlekedésgépészeti, Műszaki Szakközépiskolája'),
          'user'  => 'fay',
          'pwd'   => 'fay123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1095 Budapest, Mester utca 60–62.',
          'tel'   => '(06-1) 215-3177 ',
          'email' => 'fayamszki@googlegroups.com',
          'web'   => 'http://www.fayamszki.hu/'),

      array('id'  => 'GANZ',
          'nev'   => ('BGSzC Ganz Ábrahám Két Tanítási Nyelvű Szakközépiskolája és Szakiskolája'),
          'user'  => 'ganz',
          'pwd'   => 'ganz123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1195 Bp. Üllői út 303.',
          'tel'   => '(06-1) 282-9588',
          'email' => 'vassm.ganziskola@gmail.com',
          'web'   => 'http://www.ganziskola.hu/'),

      array('id'  => 'KATONA',
          'nev'   => ('BGSzC Katona József Szakközépiskolája, Szakiskolája és Felnőttoktatási Gimnáziuma'),
          'user'  => 'katona',
          'pwd'   => 'katona123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1138 Budapest XIII., Váci út 107.',
          'tel'   => '(06-1) 320-8224',
          'email' => 'katona@katonaj-mkszig.hu',
          'web'   => 'http://www.katonaj-mkszig.hu/'),

      array('id'  => 'KOSSUTH',
          'nev'   =>  ('BGSzC Kossuth Lajos Két Tanítási Nyelvű Műszaki Szakközépiskolája'),
          'user'  => 'kossuth',
          'pwd'   => 'kossuth123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1211 Budapest, Kossuth Lajos u. 12.',
          'tel'   => '(06-1) 276 4167',
          'email' => 'kossuth.titkarsag@gmail.com',
          'web'   => 'http://www.kossuth-csepel.hu/'),

      array('id ' => 'MAGYAR HAJOZAS',
          'nev'   => ('BGSzC Magyar Hajózási Szakközépiskolája és Szakiskolája'),
          'user'  => 'hajozas',
          'pwd'   => 'hajozas123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1131 Budapest, Jász utca 155.',
          'tel'   => '(06-1) 340-8346',
          'email' =>' hajozasi@hajozasi.hu',
          'web'   => 'http://www.hajozasi.fw.hu/'),

      array('id'  => 'MECHATRONIKA',
          'nev'   => ('BGSzC Mechatronikai Szakközépiskolája'),
          'user'  => 'mecha123',
          'pwd'   =>  'mecha',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1118 Budapest, Rétköz utca 39.',
          'tel'   => '(06-1) 246 1365',
          'email' => 'info@mechatronika.hu',
          'web'   => 'http://www.mechatronika.hu/'),

      array('id'  => 'SZILY',
          'nev'   => ('BGSzC Szily Kálmán Műszaki Szakközépiskolája, Szakiskolája és Kollégiuma'),
          'user'  => 'szily',
          'pwd'   => 'szily123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1097 Budapest, Timót utca 3.',
          'tel'   => '(06-1) 280-6871',
          'email' => 'titkar@szily.hu',
          'web'   => 'http://www.szily.hu/'),

      array('id'  => 'OVEGES',
          'nev'   => ('BGSzC Öveges József Szakközépiskolája és Szakiskolája'),
          'user'  => 'oveges',
          'pwd'   => 'oveges123',
          'role'  => FZ_FORM_ROLE,
          'cim'   => '1118 Budapest, Beregszász út 10.',
          'tel'   => '(06-1) 246-1579',
          'email' => 'oveges@oveges.hu',
          'web'   => 'http://www.oveges.hu/'),
  );
}

function fz_form_default_szakma(){
  return array(
      array('okj'   => '54 213 02',
          'nev'     => ('Kiadványszerkesztő'),
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj'   => '54 211 04',
          'nev'     => ('Grafikus'),
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj'    => '54 523 04',
          'nev'     => ('Mechatronikai technikus'),
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj' => '54 521 03',
          'nev'     => ('Gépgyártástechnológiai technikus')  ,
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj' => '34 582 05',
          'nev'     => ('Hűtő- és légtechnikai rendszerszerelő' ) ,
          'bemenet' => 8,
          'ido'     => '3 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj' => '34 521 03',
          'nev'     => ('Gépi forgácsoló' ) ,
          'bemenet' => 8,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj'   => '34 521 06',
          'nev'     => ('Hegesztő' ) ,
          'bemenet' => 8,
          'ido'     => '3 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => 'http://www.szily.hu',
          'torolve' => False
      ),
      array('okj'   => '34 582 09',
          'nev'     => ('Központifűtés- és gázhálózat rendszerszerelő')  ,
          'bemenet' => 8,
          'ido'     => '3 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web' => '',
          'torolve' => False
      ),
      array('okj'   => '34 582 12',
          'nev'     => ('Víz-, csatorna- és közmű- rendszerszerelő'),
          'bemenet' => 8,
          'ido'     => '3 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => '54 582 01',
          'nev'     => ('Épületgépész technikus')  ,
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => '35 521 01',
          'nev'     => 'CNC gépkezelő',
          'bemenet' => 14,
          'ido'     => '1 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web' => '',
          'torolve' => False
      ),
      array('okj'   => '54 523 05',
          'nev'     => ('Távközlési technikus'),
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web' => '',
          'torolve' => False
      ),
      array('okj'   => '54 481 03',
          'nev'     => ('Infokommunikációs hálózatépítő és üzemeltető'),
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web' => '',
          'torolve' => False
      ),
      array('okj'   => '54 481 05',
          'nev'     => ('Műszaki informatikus')  ,
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => '34 523 02',
          'nev'     => ('Számítógép-szerelő, karbantartó' ) ,
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => '54 213 04',
          'nev'     => ('Nyomdaipari gépmester' ) ,
          'bemenet' => 12,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False),
      array('okj'   => '34 543 06',
          'nev'     => ('Könyvkötő és nyomtatványfeldolgozó'),
          'bemenet' => 8,
          'ido'     => '3 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => '55 213 06',
          'nev'     => ('Nyomdaipari technikus')  ,
          'bemenet' => 14,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'60 % / 40%',
          'web'     => '',
          'torolve' => False
      ),
      array('okj'   => 'Erettsegi',
          'nev'     => ('Érettségire felkészítő szakmunkások részére' ) ,
          'bemenet' => 10,
          'ido'     => '2 év',
          'oraszam' =>'2000',
          'elmgyak' =>'100 % / 0%',
          'web'     => '',
          'torolve' => False
      ),
  );
}

function fz_form_default_kapcsolat(){
  return array(
      array('okj' => '54 213 02',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 213 02',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 211 04',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 523 04',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 521 03',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '34 582 05',
          'iskola' => 'SZILY',
          'forma' =>'nappali',
          'kezdes' =>'2016/2017',
          'letszam' => 32,
      ),
      array('okj' => '34 521 03',
          'iskola' => 'SZILY',
          'forma' =>'nappali',
          'kezdes' =>'2016/2017',
          'letszam' => 32,
      ),
      array('okj' => '34 521 06',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '34 582 09',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '34 582 12',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 582 01',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '35 521 01',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 523 05',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 481 03',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 481 05',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '34 523 02',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '54 213 04',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '34 543 06',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array('okj' => '55 213 06',
          'iskola' => 'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array(
          'okj'     => 'Erettsegi',
          'iskola' =>'SZILY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
      array(
          'okj' =>'34 521 03',
          'iskola' => 'ARANY',
          'kezdes' =>'2016/2017',
          'forma' =>'nappali',
          'letszam' => 32,
      ),
  );
}