/**
 * Iskolákkal kapcsolatos kódok
 */
if( typeof($j)=== "undefined" )
{
	var $j = jQuery;
}

/* Betölti az aktuális rekord adatait a szerver oldalról
* Egy jelentkezési lap adatait menyitja és megnézhető
*/
function AppOpen(value)
{		
	$j.ajax({ 
		type: "GET",
		url: "app/load",
		data:{id: value},
		dataType: 'json',
		success:function(data){
			$j('div#fz-form-app-record-load').hide(100);
			//A ciklus betölti a rekord adatait a táblába			
			$j.each(data, function(i,v){
				if(i.startsWith('upload')){
//					$j('a#edit-app-'+i).attr('href',defhref + "/" + v);
//					$j('a#edit-app-'+i).text(v);
//					if(v.length>1)
//						$j('a#edit-app-'+i).show();
//					else
//						$j('a#edit-app-'+i).hide();
				}else if(i.startsWith('pdf')){
					$j('a#edit-app-pdf').attr('href',v);
				} else{
					$j('input#edit-app-'+i).val(v);
				}
			});
			window.location.hash ="#record";
			//$j('div#app_record_load').show();
			$j('div#fz-form-app-record-load').show(100);
		},
		error: function(){
			alert("Ajax hiba a szerver oldalon:" +data);
		}
	});
}

function AppDelete(value)
{
	if(confirm("Biztosan törlöd a jelentkezést? Valószínűleg adatvesztést fog okozni!")){	
		$j.ajax({ 
				type: "GET",
				url: "app/delete",
				data:{id: value},
				data:{id: value},
			success:function(data){		
				alert(data);
				window.location.reload();
			},
			error: function(){
				alert("Ajax hiba a szerver oldalon:" +data);
			}
		})
	}
}

function AppClose(){
	$j('div#fz-form-app-record-load').hide(100);
}

$j(document).ready(function() {
	//A megnyitott ablak bezáródik, bárhová kattintok
	$j("body").click(function(){
		AppClose();
	}); 
	//A megnyitott ablakon kattintva nem záródik be
	$j("div#fz-form-app-record-load").click(function(e){
		e.stopPropagation();
	}); 
	$j("input[name='school_table']").click(function(){
		value = $j(this).val();
		$j.ajax({ 
			type: "GET",
			url: "school/load",
			data:{id: value},
			dataType: 'json',
			success:function(data){
				$j('input#edit-school-id').val(data.id);
				$j('input#edit-school-nev').val(data.nev);
				$j('input#edit-school-user').val(data.user);
				$j('input#edit-school-cim').val(data.cim);
				$j('input#edit-school-tel').val(data.tel);
				$j('input#edit-school-email').val(data.email);
				$j('input#edit-school-web').val(data.web);
			},
			error: function(){
				alert("Ajax hiba a szerver oldalon:" +data);
			}
		});
	});

	 //Record adat ablak 
	 $j('input#edit-app-close1').click(function(){
		 $j('div#fz-form-app-record-load').show();	 
	 });
	 $j('input#edit-app-close2').click(function(){
		 $j('div#fz-form-app-record-load').show();	 
	 });
	 	 
	 
	 
	//A szakmák táblázat bökés 
	$j("input[name='prof_table']").click(function(){
		value = $j(this).val();
		$j.ajax({ 
			type: "GET",
			url: "prof/load",
			data:{id: value},
			dataType: 'json',
			success:function(data){
				$j('input#edit-prof-okj').val(data.okj);
				$j('input#edit-prof-nev').val(data.nev);
				$j('input#edit-prof-belepes').val(data.belepes);
				$j('input#edit-prof-ido').val(data.ido);
				$j('input#edit-prof-oraszam').val(data.oraszam);				
				$j('input#edit-prof-elmgyak').val(data.elmgyak);
				$j('input#edit-prof-web').val(data.web);
				$j('input#edit-prof-hidden').val(data.hidden);				
			},
			error: function(){
				alert("Ajax hiba a szerver oldalon:" +data);
			}
		});
	});
	
	
	//Kapcsolatok táblázat bökés 
	$j("input[name='conn_table']").click(function(){
		value = $j(this).val();
		$j.ajax({ 
			type: "GET",
			url: "conn/load",
			data:{id: value},
			dataType: 'json',
			success:function(data){
				$j('input#edit-conn-id').val(data.id);
				$j('select#edit-conn-okj option[value='+data.okj+']').attr('selected','selected');				
				$j('select#edit-conn-iskola option[value='+data.iskola+']').attr('selected','selected');
				$j('select#edit-conn-kezdes option[value='+data.kezdes+']').attr('selected','selected');
				$j('select#edit-conn-forma option[value='+data.forma+']').attr('selected','selected');
				$j('input#edit-conn-hidden').val(data.hidden);
			},
			error: function(){
				alert("Ajax hiba a szerver oldalon:" +data);
			}
		});
	});

	$j('input#edit-app-new').click(function(e){		
		$j('select#edit-app-sid option[value="status"]').attr('selected','selected');
		$j("input#edit-app-value").val("felvéve");
		$j("input#edit-app-not-2").prop("checked", "true");
		$j("input#edit-app-search").val("Szűrés");		
		$j("form").submit();
	});
	
	//Szakma törlésének biztonsági kérdése
	$j('input#edit-prof-delete').click(function(e){
		if(!confirm("Biztosan törlöd a szakmát?")){
			e.preventDefault();
		}	
	});

	//Kapcsolat törlésének biztonsági kérdése
	$j('input#edit-conn-delete').click(function(e){
		if(!confirm("Biztosan törlöd a meghirdetett oktatást / képzést?")){
			e.preventDefault();
		}	
	});
	
	//Iskola törlésének biztonsági kérdése
	$j('input#edit-school-delete').click(function(e){
		if(!confirm("Biztosan törlöd az iskolát?")){
			e.preventDefault();
		}	
	})
	
	//Jelenkezés törlésének biztonsági kérdése
	$j('input#edit-app-delete').click(function(e){
		if(!confirm("Biztosan törlöd a jelentkezést? Valószínűleg adatvesztést fog okozni!")){
			e.preventDefault();
		}	
	})
	
	//Sticky Header stylus beállítása
	var $sthid = $j("table.sticky-enabled").attr("id");	
	$j("table.sticky-header").attr("id",$sthid);	
	

})